cURL
curl --request GET \
--url https://sandbox.withclasp.com/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"employer": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "AL",
"zip_code": "<string>",
"line2": "<string>"
},
"hire_date": "2023-12-25",
"middle_name": "<string>",
"ssn_last_four": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>",
"enrollments": [
"<string>"
],
"termination_date": "2023-12-25",
"payroll_provider_external_id": "<string>",
"biological_sex": "male",
"hours_worked": "<string>",
"pay_frequency": "weekly",
"employment_status": "full_time",
"subclasses": [
"<string>"
],
"business_unit": "<string>",
"pay_periods": 123,
"job_title": "<string>",
"is_union": true,
"is_seasonal": true,
"metadata": {}
}
]
}Members
List Members
Lists all members under your provider.
GET
/
members
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Query Parameters
The pagination cursor value.
accident- Accidentaccidental_death- Accidental Death and Dismembermentcancer- Cancercommuter_parking- Commuter Parkingcommuter_transit- Commuter Transitdental- Dentaldependent_care_fsa- Dependent Care Flexible Spending Accountemployee_assistance_program- Employee Assistance Programhealthcare_fsa- Healthcare Flexible Spending Accounthospital_indemnity- Hospital Indemnityhsa- Health Savings Accountlegal_services- Legal Serviceslife- Lifelimited_purpose_fsa- Limited Purpose Flexible Spending Accountlong_term_disability- Long Term Disabilitylump_sum_disability- Lump Sum Disabilitymedical- Medicalpet_insurance- Pet Insuranceshort_term_disability- Short Term Disabilitysupplemental- Supplementaltelemedicine- Telemedicinevision- Visionvoluntary_accidental_death- Voluntary Accidental Deathvoluntary_critical_illness- Voluntary Critical Illnessvoluntary_life- Voluntary Lifevoluntary_ltd- Voluntary LTDvoluntary_short_term_disability- Voluntary Short Term Disability
Available options:
accident, accidental_death, cancer, commuter_parking, commuter_transit, dental, dependent_care_fsa, employee_assistance_program, healthcare_fsa, hospital_indemnity, hsa, legal_services, life, limited_purpose_fsa, long_term_disability, lump_sum_disability, medical, pet_insurance, short_term_disability, supplemental, telemedicine, vision, voluntary_accidental_death, voluntary_critical_illness, voluntary_life, voluntary_ltd, voluntary_short_term_disability Number of results to return per page.
A search term. Searches first_name, last_name, and email.